Last modified: 2014-05-16 22:05:58 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 59643 - Provide further options than only binary gender
Provide further options than only binary gender
Status: UNCONFIRMED
Product: MediaWiki
Classification: Unclassified
User preferences (Other open bugs)
1.23.0
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
: accessibility, i18n
Depends on:
Blocks: gender
  Show dependency treegraph
 
Reported: 2014-01-04 09:24 UTC by Jared Zimmerman (WMF)
Modified: 2014-05-16 22:05 UTC (History)
11 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Jared Zimmerman (WMF) 2014-01-04 09:24:37 UTC
While I'm aware changing language is not an easy thing to do, saying that we can do nothing because it is too hard, or waiting for someone else to change first is insufficient in my mind. Mediawiki software currently allows gender selection in order for the software to address users or refer to their actions to other users in a grammatically (gendered) way.

An example would be "She edits her talk page" "Jared asked you to help with his article draft"


Since some languages already have 3 grammatical genders this should be a relatively small change for those languages, for languages where the neuter form is the same as masculine the 3rd options may end up referring to the user as such even in the case where that is incorrect, and we'll have to wait for language to catch up. For english I would propose we use (They/Their/Their)(She/Her/Hers)(He/Him/His) as the pronouns when referring to users actions and Other/Female/Male as system classification only (not shown to the user)


Further reading
https://en.wikipedia.org/wiki/T-V_distinction
https://translatewiki.net/wiki/Gender
https://en.wikipedia.org/wiki/Gender-specific_and_gender-neutral_pronouns
https://www.wikidata.org/wiki/Q1189745
Comment 1 Nemo 2014-01-04 09:53:31 UTC
(In reply to comment #0)
> Since some languages already have 3 grammatical genders this should be a
> relatively small change for those languages, for languages where the neuter
> form [...]

Neuter? So you want a third option in addition to undefined? This is bug 27744, tentatively marking duplicate.

> [...] Other/Female/Male as system classification only (not shown
> to
> the user)

What's the "system classification"?

*** This bug has been marked as a duplicate of bug 27744 ***
Comment 2 Jared Zimmerman (WMF) 2014-01-04 10:17:18 UTC
Nemo, it's pretty clear you don't support this or any other move to be more inclusive about gender issues in the software. By marking this as a dupe of a closed bug you've effectively closed the bug. While my previous bug didn't seem to get to the root of the issue for you. I tried to be more broad with this one. If you can better rewrite the issue I welcome it. However if you plan to continue to shoot down any move to be more inclusive of all users regardless of gender and how that is reflected in the software it might be better if you don't involve yourself with this or related bugs. Simply closing them, marking them as dupes or saying it's not possible isn't helpful.
Comment 3 Bawolff (Brian Wolff) 2014-01-04 17:36:15 UTC
(In reply to comment #2)
> Nemo, it's pretty clear you don't support this or any other move to be more
> inclusive about gender issues in the software. By marking this as a dupe of a
> closed bug you've effectively closed the bug. While my previous bug didn't
> seem
> to get to the root of the issue for you. I tried to be more broad with this
> one. If you can better rewrite the issue I welcome it. However if you plan to
> continue to shoot down any move to be more inclusive of all users regardless
> of
> gender and how that is reflected in the software it might be better if you
> don't involve yourself with this or related bugs. Simply closing them,
> marking
> them as dupes or saying it's not possible isn't helpful.

Its your responsibility (as the bug reporter), not Nemo's (as a bug triager) to write clear bug reports. The way its written now one could easily concluded its a dupe of the add neuter gender bug. If it isnt clarify how and why it is not.

My reading of the bug is you want to add a third gender that in most languages refers to the neuter gender, but sometimes refers to the "unknown" gender, and in english refers to the singular "they". Is that correct? If so, i think this bug should be wontfixed as neuter and unknown are different things and shouldnt be mixed. (It edits wikipages vs they (sg) edits wikipages have different meanings)
Comment 4 Bartosz Dziewoński 2014-01-04 17:39:16 UTC
It is definitely incorrect to refer to any person, regardless of their gender or lack thereof, in neuter grammatical form in, for example, Polish language.
Comment 5 Jackmcbarn 2014-01-04 21:15:17 UTC
I don't see a difference between this new option and the "Prefer not to say" option we have now. Can you give an example of when different text would be displayed?
Comment 6 Jared Zimmerman (WMF) 2014-01-07 23:27:10 UTC
@Jackmcbarn If i ask you if you want pizza, a burger, or salad, and give you the options

A. Prefer not to say
B. Salad
C. Pizza

does A map to a burger? many people WOULD prefer to say, but we don't give them an option to do so.
Comment 7 Jackmcbarn 2014-01-07 23:29:21 UTC
I see now. Right now, the options read "Prefer not to say", "He edits wiki pages", and "She edits wiki pages". Would changing "Prefer not to say" to "They edit wiki pages" fix this, or is more needed?
Comment 8 Jared Zimmerman (WMF) 2014-01-08 00:54:04 UTC
@Jackmcbarn 

Thats basically it. 

When that options is chosen we'd use a gender neutral pronoun to talk about the users actions on site, where possible depending on the UI language.
Comment 9 Gerrit Notification Bot 2014-01-08 01:16:08 UTC
Change 106179 had a related patch set uploaded by Jackmcbarn:
Use gender-neutral wording in Special:Preferences

https://gerrit.wikimedia.org/r/106179
Comment 10 Nemo 2014-01-08 07:11:04 UTC
«When selecting gender in Special:Preferences, use "They edit wiki pages"
instead of "I prefer not to say", to be more in line with the "He edits wiki
pages" and "She edits wiki pages" options.»
It's not "more in line", it doesn't make any sense because it has no relevance to the question. "They" is not a description of *me*.
Comment 11 Andre Klapper 2014-01-08 10:03:13 UTC
I fail to see how this construction works in any other language than English (at least in those 3 other languages that I know), and I'm not convinced adding a "Translators: Come up with something that works work in your language" comment helps avoiding really weird constructions in other languages. 
Do certain languages have an option to disable this new option by default when it's untranslatable, or would they have to suffer from working around a linguistic problem in one language (which is the default language in MediaWiki)?
Comment 12 Jackmcbarn 2014-01-08 16:33:21 UTC
How do other languages handle users who pick the gender-neutral preference currently?
Comment 13 Jared Zimmerman (WMF) 2014-01-08 19:22:23 UTC
If you take a look at https://en.wikipedia.org/wiki/Gender-specific_and_gender-neutral_pronouns there are many languages that seem to have the concept of a gender neautral pronoun, not all of course but many. 

While some would argue that "they" is not grammatically correct it is becoming so for people who need a singular gender neutral pronoun.

you can read more here
http://www.princeton.edu/~achaney/tmve/wiki100k/docs/Singular_they.html
http://articles.latimes.com/2007/feb/19/opinion/oe-yagoda19
https://en.wikipedia.org/wiki/Singular_they



Swedish wikipedia should have no issues
http://www.care2.com/causes/sweden-adopts-a-gender-neutral-pronoun.html
Comment 14 Ryan Kaldari 2014-04-01 01:06:11 UTC
Implementing a 3rd or 4th gender (robot?), would actually be fairly trivial (with the exception of one issue).

All it requires is:
1. Adding extra conditions to Language::gender(), or if you want to do it for English only, LanguageEn::gender(). 
2. Adding extra options to $defaultPreferences['gender'] in Preferences::profilePreferences(). If you wanted the options to be language dependent, you could add a hook there and a hook handler to the language subclasses.

The only tricky part is figuring out what the proper order of the values should be in the i18n messages. Should 'unknown' remain the 3rd option or should it always be last? Does this need to be consistent across languages? It would be good to get the opinions of the i18n engineers on this, especially the ones that work closely with the translatewiki community.
Comment 15 Nemo 2014-04-01 05:38:10 UTC
(In reply to Ryan Kaldari from comment #14)
> The only tricky part is figuring out what the proper order of the values
> should be in the i18n messages.

Which first requires showing linguistic evidence of what grammatical consequences the option/category in question would have, in order to define what {{GENDER}} would need to show, then at what conditions, then with what syntax, and only finally with what code...
Comment 16 Ryan Kaldari 2014-04-01 17:51:47 UTC
> Which first requires showing linguistic evidence of what grammatical
> consequences the option/category in question would have, in order to
> define what {{GENDER}} would need to show, then at what conditions, then
> with what syntax, and only finally with what code...

None of the genders that are made available by Language::gender are required to be used. They are just options that are available to {{GENDER}} if needed. If we left the order of the existing values intact, we could launch new genders without changing any i18n messages.

The current behavior of Language::gender is rather awkward though (as the default changes based on the number of parameters). If 1 or 2 parameters are specified, the first parameter is the default. If 3 parameters are specified, the 3rd parameter becomes the default. It would be much more intuitive if the first parameter was always the default:
{{GENDER|unknown/generic masculine|specified feminine|specified masculine|etc.}}

I'm just curious if the i18n engineers would be open to fixing this in the process.
Comment 17 Nemo 2014-04-01 17:56:06 UTC
(In reply to Ryan Kaldari from comment #16)
> I'm just curious if the i18n engineers would be open to fixing this in the
> process.

That's not a bug, it's a feature. It's certainly not going to change, especially as it's shared by PLURAL. https://translatewiki.net/wiki/Plural#Plural_syntax_in_MediaWiki
Comment 18 Ryan Kaldari 2014-04-01 18:15:05 UTC
Ah, I see what you mean. I still think it makes a lot more sense to have the default be the first parameter for gender, regardless of how it works for PLURAL (since gender is most commonly unknown). As it works now, the meaning of the first parameter actually changes based on the number of parameters (According to https://translatewiki.net/wiki/Gender), which seems rather confusing. It also doesn't actually match the behavior of PLURAL, as the last parameter is not always the default in GENDER.

Regardless, it probably doesn't make sense to discuss that here since it's a more complicated issue and should probably be discussed in a separate bug.

The only thing we really need to figure out for this bug is whether 'unknown' should be the 3rd parameter or the last parameter.
Comment 19 TeleComNasSprVen 2014-05-16 22:03:27 UTC
Show me evidence that this is not just a gender choice, but an actual software necessity (e.g. grammatical distinction in the User namespace) and it might be more easily resolved. Otherwise it would just add additional burden to the translation teams without a neuter form, so calling this WONTFIX again.

(In reply to Jared Zimmerman (WMF) from comment #6)
> @Jackmcbarn If i ask you if you want pizza, a burger, or salad, and give you
> the options
> 
> A. Prefer not to say
> B. Salad
> C. Pizza
> 
> does A map to a burger? many people WOULD prefer to say, but we don't give
> them an option to do so.

That seems to be a separate issue that should be split off to another bug ticket. My proposed wording would simply be to say "None of the (above|below)", which is impartial enough for our purposes and avoids offense.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links